<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.parkinglot.mapper.ParkingLotMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="parkingLotResultMap" type="org.springblade.community.parkinglot.entity.ParkingLot">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="index_id" property="indexId"/>
        <result column="park_key" property="parkKey"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="park_name" property="parkName"/>
        <result column="park_latitude" property="parkLatitude"/>
        <result column="park_longitude" property="parkLongitude"/>
        <result column="park_add" property="parkAdd"/>
        <result column="park_tel" property="parkTel"/>
        <result column="park_linkman" property="parkLinkman"/>
        <result column="park_free_time" property="parkFreeTime"/>
        <result column="park_free_timeout" property="parkFreeTimeout"/>
        <result column="charges_desc" property="chargesDesc"/>
        <result column="reserve_status" property="reserveStatus"/>
        <result column="reg_time" property="regTime"/>
        <result column="valid_time" property="validTime"/>
        <result column="space_total" property="spaceTotal"/>
        <result column="city_short_name" property="cityShortName"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="remain_space" property="remainSpace"/>
        <result column="org_position" property="orgPosition"/>
        <result column="is_used" property="isUsed"/>
    </resultMap>


    <select id="selectParkingLotPage" resultMap="parkingLotResultMap">
        select * from yc_parking_lot where is_deleted = 0
    </select>

</mapper>
